      subroutine er0044 ( vector, length, iref )
! ====================================================================== &
!
!        programmer   Guus Segal
!        version 1.2  date   06-03-1996 Layout
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0  date   26-10-1987
!
!
!
!   copyright (c) 1987-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
!   print array from positions 1 to length on file iref
!   A fixed format is used
!   This subroutine is meant as help subroutine for prinsl
! ********************************************************************
!
!                      KEYWORDS
!
!   print
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      double precision vector(*)
      integer length, iref

!    iref      i  File to which the solution must be printed
!                 if iref < 0, the file is written unformatted, otherwise it is
!                              supposed to be formatted
!    length    i  last position of array vector
!    vector    i  array to be printed
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i

!     i       Counting variable
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! ====================================================================== &
!
  1   format(5d16.9)
      if ( iref.gt.0 ) then
         write(iref,1) (vector(i),i=1,length)
      else
         write(-iref) (vector(i),i=1,length)
      end if
      end
