      subroutine inipri
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.4  date 21-11-2012 Long integers
!        version  1.3  date 04-12-1996 Correct for iprio>99; JvdZ
!        version  1.2  date 02-02-1994 New comments
!
!   copyright (c) 1985-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     decrease priority numbers in array infor common block carray
!
! **********************************************************************
!
!                       KEYWORDS
!
!     memory_management
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/comcons3f90'
      include 'SPcommon/carrayf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!     None.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     None.
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     None.
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do 100 i = 1, iinfor
         if ( infor(i)>0 .and. infor1(2,i)<100 ) &
            infor1(2,i) = infor1(2,i)-1
100   continue
      end
