module sepmodulefunc

!   --- Definition of some quantities for function subroutines

      integer :: mquad                   ! number of quadrature points
      integer :: dimens                  ! dimension of space
      double precision, pointer :: x(:)  ! contains the x-coordinates of
                                         ! the quadrature points
      double precision, pointer :: y(:)  ! contains the y-coordinates of
                                         ! the quadrature points
      double precision, pointer :: z(:)  ! contains the z-coordinates of
                                         ! the quadrature points
      double precision, pointer :: prevsolution(:) ! contains the previous
                                         ! solution in the quadrature points
      double precision, pointer :: gradprev(:,:) ! contains the gradient of the
                                         ! old solution in the quadrature points

end module sepmodulefunc
