module sepmoduleuser

!   --- Stores arrays iuser and user

   use sepmodulecons

   type userinfo           ! vectors of type iuser and user
      integer, pointer :: iuser(:)
      double precision, pointer :: user(:)
   end type userinfo

   integer, pointer :: iuser(:)         ! integer information of coefficients
   integer, pointer :: iuserlc(:)         ! integer information of coefficients
   double precision, pointer :: user(:) ! real information of coefficients
   double precision, pointer :: userlc(:) ! real information of coefficients
   type(userinfo) :: iuser1(100)        ! refers to arrays iuser and user
   type(userinfo) :: icofius(maxprb)    ! refers to arrays iuser and user
   integer :: iseqcoef                  ! Sequence number of last coefficient
                                        ! that has been filled in iuser1/iuser2
   integer :: iprobls                   ! Last problem number used
   integer :: nitercom                  ! Iteration sequence number in main
                                        ! program SEPFREE or SEPCOMP

end module sepmoduleuser
