      subroutine ersettime ( timebefore )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.1  date 29-05-2014 Use wall clock and cpu
!        version  1.0  date 12-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Call the timer and put the starting cputime into timebefore
!     Replaces part of the actions taken by askclk
! **********************************************************************
!
!                       KEYWORDS
!
!     timing
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpu
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision timebefore(2)

!     timebefore    o   Time at entrance of subroutine
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKCLK  Print actual CPU-time
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call askclk
      timebefore(1) = tim3
      timebefore(2) = tim3wall
      end
