      subroutine mshd07(ibuurp,iwork,ih,ij)
      implicit none
!
! ********************************************************************
!
!
!        programmer   niek praagman
!
!        version 1.1  date   02-05-1990 new programming norms
!
!
!
!   copyright (c) 1982-1990  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!
! *   fill nodal point number ij in right position of array ibuurp
!
! *********************************************************************
! * &
! *   GLOBAL parameters
! * &
      integer ibuurp(*),iwork(*),ih,ij
! * &
! *   Meaning of parameters
! * &
! *   ibuurp  i,o :   array containing the nodal point numbers of
! *                   the neighbours (result of mshd06)
! *   iwork    i  :   pointer array for ibuurp (see mshd06)
! *   ih       i  :   nodal point number to be considered
! *   ij       i  :   nodal point number of neighbour to be placed
! *                   in array ibuurp
! * &
! ***********************************************************************
! * &
! *   LOCAL parameters
! * &
      integer jstart
! * &
! **********************************************************************
! * &
      jstart = 0
! * &
      if ( ih.ne.1 ) jstart = iwork( ih - 1 )
! * &
100   continue
! * &
      jstart = jstart + 1
! * &
! *   Check whether point exists already in neighbour array
! * &
      if ( ibuurp(jstart).eq.ij ) return
! * &
! *   Check whether list of neighbours is exhausted
! * &
      if ( ibuurp(jstart).ne.0 ) goto 100
! * &
! *   Place point ij in array
! * &
      ibuurp(jstart) = ij
! * &
      end
