      subroutine mshz04 ( msg )
!
! **********************************************************************
!
!       programmer      Zdenek Vlasek
!       version 1.2     date 24-02-1991  no write, call errsub
!       version 1.1     date 31-07-1990  common /cmcdpi/ included
!       version 1.0     date 14-02-1990
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                  PURPOSE
!
!   To display an error message and to stop the run.
!
! **********************************************************************
!
!                  INPUT / OUTPUT  PARAMETERS

      character msg * (*)

!     msg      i    String. Message to be displayed. If the first
!                   character of the message is '#' then author's error
!                   is supposed, not the user's error, and first two
!                   characters of the message are then ignored.
!
! **********************************************************************
!
!                  LOCAL VARIABLES

      integer ipos
      character * 79 text

!     ipos    Position 1 or 3 from which the massage should be displayed
!     text    The text to be passed to errsub
!
! **********************************************************************
!

      if ( msg(1:1).eq.'#' ) then

!       *  probably the author's error

         ipos = 3

         call errchr &
            ( 'probably an internal error, please contact SEPRA ', 1 )
         call errwar (1404,0,0,1)

      else

!       *  probably the user's error

         ipos = 1

      end if

      text = msg(ipos:)
      call errchr ( text, 1 )
      call errsub (1404, 0, 0, 1)

      call instop

      end
