      subroutine sep2dprojE ( projbuf )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 30-06-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Make a reference of the 2d array projE2d to the pointer A%projE
!
! **********************************************************************
!
!                       KEYWORDS
!
!     pointer
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleproj
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision, target :: projbuf(nproj,nproj)

!     projbuf        i    2d array to be mapped onto 1d
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      projE2d => projbuf
      end subroutine sep2dprojE
