      subroutine soltim ( itytim, ichtimlc, kmeshlc, kproblc, intmatlc, isol, &
                          epsusr, userloc, iuserloc )
      use sepmodulekmesh
      use sepmodulemnsub
      use sepmodulemain
      use sepmoduletime
      use sepmoduleuser
      implicit none
      integer :: itytim, ichtimlc
      integer, target :: kmeshlc, kproblc, intmatlc(*), &
                         isol(*), iuserloc(*)
      double precision, target :: userloc(*)
      double precision :: epsusr
      logical first, finished
      integer :: isubr, i
!
      call eropen ( 'soltim' )
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob2d(1) = kproblc
      kprob => kprob2d(1)

      call sepfillkmesh(kmesh)

      ichtim = ichtimlc
      lineartim = mod(itytim,10)
      ifilltim = 1
      ncopeqtim = itytim/10+1
      call sepcomptimcof ( ndim, ncopeqtim )
      itimbc = 2
      ireadbctim = 0
      itimcf = 0
      iseqfrtim = 1
      Teq(:)%iconsstiff = 0
      Teq(:)%iconsmass = 0
      Teq(:)%iconsrhs = 0
      Teq(:)%imasstot = 0
      Teq(:)%ireadsl = -1
      Teq(:)%imas = 1
      Teq(:)%iseqaddrhs = 0
      Teq(:)%isubdiv = 0
      Teq(:)%iseqreac = 0
      do i = 1, ncopeqtim
         Teq(i)%iseqfr = i
      end do  ! i = 1, ncopeqtim
      Teq(:)%lenextra = 0
      Teq(:)%limit = 0
      numoldtim = ncopeqtim
      nfrac = 0
      ndt = 1
      iseqouttim = 1
      icall_outtim = 0
      iseqouttim = 0
      ireturtim = 0
      iprinttim = 0

      usectimen = .true.

      nhist = 0
      minitertim = 0
      maxoldtim = 0
      maxitertim = 1

      stationarysol = .false.
      nocomputationtim = .false.

      epstim = epsusr
      itimloop = 1
      icalltim = 1
      first = .true.
      complrun = .true.
      finished = .false.
      oldmethod = .true.

      intmat1d => intmatlc(1:maxprb)
      isolut2d => isol(1:2)
      isolut2dred => isolut2d
      intmatar => intmat1d
      call sepfillkprob

      iuserlc => iuserloc(1:iuserloc(1))
      userlc => userloc(1:nint(userloc(1)))

      isubr = 0
      first = .true.
      finished = .false.
      intmatar => intmat1d
      call septimprb ( finished, first, isubr )
      isolut2d => isolut3d(:,meshnr)
      call erclos ( 'soltim' )

      end subroutine soltim
