      function inibt1 ( ibitp )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.1    date   23-12-1996 Do not change ibitp
!        version 1.0    date   18-09-1994
!
!
!
!   copyright (c) 1994-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Compute the maximum value of the unknown correspoding to the bit pattern
!   and return this value to inibt1
! **********************************************************************
!
!                       KEYWORDS
!
!   boundary_condition
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer inibt1, ibitp

!     ibitp   i    Bit pattern
!     inibt1  o    nunkp
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ih

!     ih         Help variable to compute inibt1
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      inibt1 = 0
      ih = ibitp
100   if ( ih.gt.0 ) then
         ih = ih/2
         inibt1 = inibt1+1
         go to 100
      end if

      end
