      integer function izamax(n,zx,incx)
!
!     finds the index of element having max. absolute value.
!     jack dongarra, 3/11/78.
!
      complex*16 zx(*)
      double precision smax
!
      izamax = 1
      if(n.le.1)return
      if(incx.eq.1)go to 20
!
!        code for increments not equal to 1
!
      ix = 1
      if(incx.lt.0)ix = (-n+1)*incx + 1
      smax = abs(zx(ix))
      ix = ix + incx
      do 10 i = 2,n
         if(abs(zx(ix)).le.smax) go to 5
         izamax = ix
         smax = abs(zx(ix))
    5    ix = ix + incx
   10 continue
      return
!
!        code for increments equal to 1
!
   20 smax = abs(zx(1))
      do 30 i = 2,n
         if(abs(zx(i)).le.smax) go to 30
         izamax = i
         smax = abs(zx(i))
   30 continue
      end
