      program opgave1_6
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function funccf ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision funccf, x, y, z
      double precision e, D
      double precision getconst

      e = getconst('eps')
      D = getconst('diam')

      select case ( ifunc )
      case(1)

!     --- u1

         funccf = 8.2d-5 * (1d0-e*cos(2*x/D))

      case default

!     --- Option not programmed yet

         call errchr ( 'funccf', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
