      program opgave1_9_1
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function funccf ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision funccf, x, y, z
      double precision h0, alpha
      double precision getconst

      h0 = getconst('h0')
      alpha = getconst('alpha')

      select case ( ifunc )
      case(1)

!     --- h in linear case

         funccf = h0 + alpha * x

      case default

!     --- Option not programmed yet

         call errchr ( 'funccf', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
      function funcc3 ( ifunc, x, y, z, numold, maxunk, uold )
      implicit none
      integer ifunc, numold, maxunk
      double precision funcc3, x, y, z, uold(numold,maxunk)
      double precision h0, alpha, C
      double precision getconst

      h0 = getconst('h0')
      alpha = getconst('alpha')
      C = getconst('C')

      select case ( ifunc )
      case(1)

!     --- h in non-linear case

         funcc3 = h0 + alpha * x + C*uold(2,1)

      case default

!     --- Option not programmed yet

         call errchr ( 'funcc3', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
