! ***********************************************************************
!
!      File:  exam8-1-4.f
!
!      Contents:  Main program for the test example described
!                 in the SEPRAN manual standard problems 8-1-4
!                 Artificial analytical example
!                 This program uses the most simple version
!                 Since a function subroutine is used for the solution,
!                 it is not possible to used sepcomp
!
!      Usage:     Compile and link this program with the SEPRAN libraries
!                 seplink exam8-1-4
!
!                 Run this program with input: exam8-1-4.prb
!
!                 exam8-1-4 < exam8-1-4.prb > exam8-1-4.out
!
!      version 2.0    date   30-12-2003
!
! ***********************************************************************
!
!     --- Main program (trivial)

      program exam814
      call startsepcomp
      end

!     --- function FUNCBC for essential boundary conditions

      double precision function funcbc(ichois,x,y,z)
      implicit none
      integer ichois
      double precision x,y,z
      funcbc = sin(x)*sin(y)*sin(z)
      end

!     --- function FUNC for exact solution

      double precision function func(ichois,x,y,z)
      implicit none
      integer ichois
      double precision x,y,z

      func = sin(x)*sin(y)*sin(z)
      end

!     --- function FUNCCF for right-hand side

      double precision function funccf(ichois,x,y,z)
      implicit none
      integer ichois
      double precision x,y,z

      funccf = 4.0d0*sin(x)*sin(y)*sin(z)
      end
