      program enthcone
      implicit none
      integer ibuffr
      integer (kind=8) pbuffr
      parameter ( pbuffr=25000000)
      common ibuffr(pbuffr)

      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function func ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision func, x, y, z

      double precision r

      if ( ifunc.eq.1 ) then
!     --- used for 2d testcase 'cone'
         r = x**2 + y**2
         if (r .gt. 1d0) then
            func = 0d0
         else
            func = (1d0 - r)
         endif
      else
         call errchr('func',1)
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop
         func = 0d0
      end if
      end
