      subroutine linstm ( ictime, kmeshlc, kproblc, intmatlc, isol )
      use sepmodulemnsub
      use sepmodulemain
      use sepmoduleintmat
      use sepmodulecadapt
      implicit none
      integer ictime
      integer  kmeshlc, kproblc
      integer, target :: intmatlc(5), isol(*)
      integer inpsol(20), icode, iseqcf
      data iseqcf /0/
      call eropen ( 'linstm' )

      intmat1d => intmatlc
      intmat => intmat1d(1)

      iseqcf = iseqcf+1

      inpsol = 0
      inpsol(1) = 3
      inpsol(2) = 1
      inpsol(3) = iseqcf
      inpsol(5:7) = 1
      inpsol(19) = 1
      inpsol(20) = ictime
      iadapt = 0
      icode = 0

      kprob2d(1) = kproblc
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob => kprob2d(1)
      isolut2d => isol(1:10)
      meshnr = 1

      if ( ictime==0 ) call ercofs ( icode )  ! Read coefficients

      stiffmat => stiffm

      call to0089 ( ictime, inpsol )

!     --- the common /cadapt/ has been filled according to the data file

      if ( iadapt==1 ) then

!     --- the keyword ADAPTIVE was found in the data section SOLVE ... END,
!         call the adaptive solver to do the job

         inplrf(8) = 1
         call to0090 ( inpsol )

      end if

      kproblc = kprob2d(1)

      call erclos ( 'linstm' )
      end subroutine linstm
