      subroutine fmshtp(kmesh, ielgrp, meshtp)
!
!***********************************************************************
!
!     programmer     Luc Timmermans
!     version 1.0    date     22-04-1992
!
!***********************************************************************
!
!     fetch the typenumber of the element for the meshgenerator
!     in the elementgroup ielgrp
!
!***********************************************************************
!
!     INPUT/OUTPUT
!
      implicit none
      integer kmesh(*), ielgrp, meshtp
!
!     kmesh    i   standard sepran array
!     ielgrp   i   element group
!     meshtp   o   type number of the element for the meshgenerator
!
!***********************************************************************
!
!     LOCAL PARAMETERS

      integer nelgrp, kelmf
!
!     nelgrp     number of element groups
!     kelmf      kmesh part f
!
!***********************************************************************
!
      nelgrp = kmesh(5)
      kelmf = kmesh(20)
      if (kelmf.ne.0 .and. ielgrp.gt.0 .and. ielgrp.le.nelgrp) then

         meshtp = kmesh(kelmf+ielgrp-1)
      else

         meshtp = -1
      end if
      end
