      subroutine fnelm(kmesh, ielgrp, nelm)
!
!***********************************************************************
!
!     programmer    Luc Timmermans
!     version 1.0   date   22-04-1992
!
!***********************************************************************
!
!     fetch the number of elements in elementgroup ielgrp
!
!***********************************************************************
!
!     INPUT/OUTPUT
!
      implicit none
      integer kmesh(*), ielgrp, nelm
!
!     kmesh   i     standard sepran array
!     ielgrp  i     element group
!     nelm    o     number of elements in ielgrp
!
!***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer nelgrp, kelmg, nelem
!
!     nelgrp      number of element groups
!     kelmg       kmesh part g
!     nelem       number of elements in the complete mesh
!
!***********************************************************************
!
      nelgrp = kmesh(5)
      nelem = kmesh(9)
      kelmg = kmesh(21)
      if (kelmg.ne.0 .and. ielgrp.gt.0 .and. ielgrp.le.nelgrp) then

         nelm = kmesh(kelmg+ielgrp-1)
      else if (kelmg.eq.0 .and. ielgrp.eq.1) then

         nelm = nelem
      else

         nelm = 0
      end if
      end
