      subroutine priinconnect ( iinput, iinp, nelgrp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), iinp, nelgrp
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, nconuserpoints, nconusercurves, nconusersurfs
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nconuserpoints = iinput(iinp)
      nconusercurves = iinput(iinp+1)
      nconusersurfs  = iinput(iinp+2)
      iinp = iinp+3
      if ( nconuserpoints.gt.0 ) then
         write(irefwr,100)
100      format(' Information of connected user points' )
         do i = 1, nconuserpoints
            write(irefwr,110) i, (iinput(j), j=iinp,iinp+2)
            nelgrp = max(nelgrp,iinput(iinp))
110         format(i4,':  ', 10i6)
            iinp = iinp+3
         end do
      end if

      if ( nconusercurves.gt.0 ) then
         write(irefwr,120)
120      format(' Information of connected curves' )
         do i = 1, nconusercurves
            write(irefwr,110) i, (iinput(j), j=iinp,iinp+3)
            nelgrp = max(nelgrp,iinput(iinp))
            iinp = iinp+4
         end do
      end if
      if ( nconusersurfs.gt.0 ) then
         write(irefwr,130)
130      format(' Information of connected surfaces' )
         do i = 1, nconusersurfs
            write(irefwr,110) i, (iinput(j), j=iinp,iinp+4)
            nelgrp = max(nelgrp,iinput(iinp))
            iinp = iinp+5
         end do
      end if
      end
