      subroutine prni21(ileng,iarray)
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 30-11-2012 Long integers
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 31-03-1991 New formats
!
!   copyright (c) 1982-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      write differences of integer array from position 1 to ileng
!      with special format
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iarray(*), ileng

!     iarray    i
!     ileng     i
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, icount, ih1, iwork(20), j

!     i          Counting variable
!     icount     number of unknowns per element
!     ih1        Help variable to store a constant temporarily
!     iwork      integer work array to store output
!     j          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
  1   format(1x,5(i6,':',i5))

      ih1=5
      do i=1,ileng,5
         if(ih1>ileng) ih1=ileng
         icount=0
         do j=i,ih1
            iwork(icount+1)=j
            iwork(icount+2)=iarray(j+1)-iarray(j)
            icount=icount+2
         end do
         write(irefwr,1) (iwork(j),j=1,icount)
         ih1=ih1+5
      end do
      end
