      subroutine seppr0011
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print kmesh part o
!     Old subroutine pr0011
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ielem, ielgrp, iielem, ikelmo, nrand

!     i              Counting variable
!     ielem          Element number
!     ielgrp         element group number
!     iielem         Relative element number in element group
!     ikelmo         Starting address in kmesh part o2
!     nrand          Number of elements connected to an element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ikelmo=0
      ielem=0
      write(irefwr,'(//'' neighbors of elements''/)')
      do ielgrp=1,nelgrp
         nrand=kmsho1(ielgrp)
         inelem=Topgrp(ielgrp)%inelem
         if(nrand==0) then
            ielem=ielem+inelem
         else
            do iielem=1,inelem
               ielem=ielem+1
               write(irefwr,100) ielem,(kmsho2(ikelmo+i),i=1,nrand)
100            format(1x,i6,':',10i5)
               ikelmo=ikelmo+nrand
            end do
         end if
      end do
      end
