      subroutine ident1(ichois,charac)
!
! ********************************************************************
!
!    ** this subroutine contains the machine dependent calls of
!       UNIX charac+date+time and filename for plotting
!
!
! ********************************************************************
!
!        programmer    leo kok/jaap van der zanden
!        version 1.1   date   20-04-1999 Inlcude commons
!        version 1.3   date   03-11-1990 New common cmacht
!        version 1.2   date   22-03-1990
!
!
!   copyright (c) 1986-1999  "Ingenieursbureau compuflow"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau compuflow"
!   All rights reserved. No part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!      HP-UX  version
!
!      ichois=1   charac=user+date+time
!             2   charac=PLT+date+time
!             3   charac=SCR+date+time
!             4   charac=SEP+date+time
!
!      ichois.ne.1 : charac is a valid filename
!
! ********************************************************************
!
      use sepmodulemach
      character*(*) charac
      character otime*8,c
      integer i,it,j,ichois

! ======================================================================
      save it,otime
      data it/ 1 /,otime / '        ' /
!
      if (ichois.eq.1) then
         j=0
         do 16 i=1,16
            if (usrnam(i:i).gt.' ') then
               j=j+1
               charac(j:j)=usrnam(i:i)
            end if
   16    continue
         j=j+1
         charac(j:j)=' '
         do 17 i=1,16
            j=j+1
            charac(j:j)=stdate(i:i)
   17    continue
         do 18 i=1,8
            j=j+1
            charac(j:j)=sttime(i:i)
   18    continue
      else if (ichois.eq.2) then
         charac(1:3)='PLT'
      else if (ichois.eq.3) then
         charac(1:3)='SCR'
      else if (ichois.eq.4) then
         charac(1:3)='SEP'
      end if
      if ((ichois.ge.2).and.(ichois.le.4)) then
         do 21 i=1,3
            charac(i+3:i+3)=stdate(i:i)
   21    continue
         do 22 i=1,2
            charac(i+6:i+6)=sttime(i:i)
            charac(i+8:i+8)=sttime(i+3:i+3)
            charac(i+10:i+10)=sttime(i+6:i+6)
   22    continue
         if (otime.eq.sttime) then
            c=char(it+48)
            it=it+1
            charac(13:13)='.'
            charac(14:14)=c
            j=14
         else
            it=1
            j=12
         end if
      end if
      otime=sttime
      do 30 i=j+1,len(charac)
         charac(i:i)=' '
30    continue
      end
