      subroutine ptrack ( kmeshlc, kproblc, ivsol, startp, npart, tbegin, &
                          tend, plotfm, yfact, ichois, user, iuser )
      use sepmodulemain
      use sepmodulekmesh
      use sepmodulevecs
      implicit none
      integer kmeshlc, kproblc, npart, ichois(5), iuser(*)
      integer, target ::ivsol
      double precision startp(*), tbegin, tend, plotfm, yfact, user(*)
      integer iprint, iplot, ikeuze, ikeus, iinpar(7)
      double precision rinpar(8)
      call eropen( 'ptrack' )
      kprob2d(1) = kproblc
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob => kprob2d(1)
      isolut => ivsol
      call sepfillkmesh ( kmesh )

      ikeus  =  2
      iprint =  0
      iplot  =  2
      ikeuze = ichois(1)
      if ( ikeuze>1 ) ikeus  = ichois(2)
      if ( ikeuze>2 ) iprint = ichois(3)
      if ( ikeuze>3 ) iplot  = ichois(4)
      npart = npart / ndim
      if ( iprint==0 ) iprint = -1
      iinpar( 1 ) = 7
      iinpar( 2 ) = npart
      iinpar( 3 ) = iprint
      iinpar( 4 ) = iplot
      iinpar( 5 ) = 1
      if ( ikeus==1 .or. ikeus==2 ) then
         iinpar( 6 ) = 1
      else if ( ikeus==3 ) then
         iinpar( 6 ) = 3
      else
         iinpar( 6 ) = 0
      end if
      iinpar( 7 ) = 0
      rinpar( 1 ) = plotfm
      rinpar( 2 ) = yfact
      rinpar( 3 ) = tbegin
      rinpar( 4 ) = tend
      rinpar( 5 ) = 0
      call pltrac ( iinpar, rinpar, startp, iuser, user )
      if ( associated(particinf) ) deallocate(particinf, partics)
      call erclos( 'ptrack' )
      end subroutine ptrack
