      double precision function dzasum(n,zx,incx)
!
!     takes the sum of the absolute values.
!     jack dongarra, 3/11/78.
!
      complex*16 zx(*)
      double precision stemp
!
      dzasum = 0.0d0
      stemp = 0.0d0
      if(n.le.0)return
      if(incx.eq.1)go to 20
!
!        code for increments not equal to 1
!
      ix = 1
      if(incx.lt.0)ix = (-n+1)*incx + 1
      do 10 i = 1,n
        stemp = stemp + abs(zx(ix))
        ix = ix + incx
   10 continue
      dzasum = stemp
      return
!
!        code for increments equal to 1
!
   20 do 30 i = 1,n
        stemp = stemp + abs(zx(i))
   30 continue
      dzasum = stemp
      end
