      subroutine el2008(s,sh,n,lrow)
      implicit double precision (a-h,o-z)
      double precision s(*), sh(*)
!
! ********************************************************************
!
!
!        programmer   guus segal
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   30-11-1984
!
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!    *  add matrix sh to matrix s, where sh is of smaller size than s
!
! ********************************************************************
!
!                            input/output
!
!      s        i/o  lrow x lrow matrix
!                    s := s + sh
!
!      sh        i   n x n matrix  n <= lrow
!                    the matrix sh is put from position 1 in s
!                    hence:  sh(i,j) = s(i,j)   i,j,=1(1)n
!
!      n         i   number of rows in sh
!
!      lrow      i   number of rows in s
!
! ********************************************************************
!
      in=0
      il=0
      do 100 i=1,n
         do 50 j=1,n
 50         s(il+j)=s(il+j)+sh(in+j)
         in=in+n
100      il=il+lrow
      end
