      program testperiod06
      implicit none

!     --- File for  2d periodical boundary conditions problem
!         See testperiod06.prb and the manual Examples Section 3.1.9
!         for a description

      call startsepcomp
      end

!     --- Function funcbc for the essential boundary conditions

      function funcbc ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y, z, funcbc
      include 'SPcommon/consta'  ! Contains the value of pi

      if ( ichoice==1 ) then

!     --- ichoice = 1, standard case

         funcbc = sin(2d0*pi*x)

      else

!     --- ichoice # 1, error

         call eropen('funcbc')
         call errint(ichoice,1)
         call errsub ( 1, 1, 0, 0)
         call erclos('funcbc')
         call instop
         funcbc = 0d0

      end if

      end
