! ***********************************************************************
!
!      File:  exam8-1-1a.f
!
!      Contents:  Main program for the test example described
!                 in the SEPRAN manual standard problems 8-1-1
!                 Artificial analytical example
!                 This program uses the most simple version
!                 Since a function subroutine is used for the solution,
!                 it is not possible to used sepcomp
!
!      Usage:     Compile and link this program with the SEPRAN libraries
!                 seplink exam8-1-1
!
!                 Run this program with input: exam8-1-1a.prb or
!                                              exam8-1-1b.prb
!
!                 exam8-1-1 < exam8-1-1a.prb > exam8-1-1a.out  or
!                 exam8-1-1 < exam8-1-1b.prb > exam8-1-1b.out
!
!      version 1.0    date   24-07-96
!
! ***********************************************************************
!
      program exam811
      call startsepcomp
      end

!     --- function funcbc for the definition of boundary conditions


      double precision function funcbc(ichois,x,y,z)
      implicit none
      integer ichois
      double precision x,y,z
      if (ichois.eq.1) funcbc = dsin(x)
      end

!     --- function func for the definition of exact solution

      double precision function func(ichois,x,y,z)
      implicit none
      integer ichois,k,l
      double precision x,y,z
!
      if (ichois.eq.1) func = dsin(x)
      end


!     --- function funccf for the definition of the coefficients


      double precision function funccf(ichois,x,y,z)
      implicit none
      integer ichois
      double precision x,y,z

      if (ichois.eq.1) funccf= dtan(x)
      if (ichois.eq.2) funccf= 2*sin(x)
      end
