      program exam82
      use sepmoduleoldrouts
      implicit double precision (a-h,o-z)
      double complex :: work(10)
      integer :: kmesh,kprob,iwork(10), intmat,matr,isol,
     v          irhsd,iuser(100)
      double precision :: user(100),contln(20)
!
      contln(1)=20
      iuser(1)=100
      user(1)=100
      kmesh=0
      kprob=0
      intmat=0
      matr=0
      isol=0
      irhsd=0
      contln(3)=0
      iuser(3)=0
      user(3)=0
!
      call sepstr ( kmesh, kprob, intmat )
      do 100 i=1,7
         iwork(i)=0
100      work(i)=0
      g=9.81
      h=0.3
      c=sqrt(g*h)
      cg=c
      ccg=c*cg
      pi=atan(1d0)*4
      rk=2*pi/c
      work(1)=ccg
      work(3)=ccg
      work(6)=-rk*rk*ccg
      ielgrp=1
      nparm=7
      call fil150(ielgrp,iuser,user,kprob,nparm,iwork,work)
!
!    *  f = 0   and  differential equation
!
      do 110 i=1,2
         iwork(i)=0
110      work(i)=0
      work(2)=ccg
      ibngrp=1
      nparm=2
      call fil151(ibngrp,iuser,user,kprob,nparm,iwork,work)
!
!    *  curve 1
!
      do 120 i=1,2
         iwork(i)=0
120      work(i)=0
      work(1)=dcmplx(0d0,-rk*ccg)
      ibngrp=2
      call fil151(ibngrp,iuser,user,kprob,nparm,iwork,work)
!
!    *  curve 3
!
      ichois=1
      call systm0(ichois,matr,intmat,kmesh,kprob,irhsd,isol,iuser,user,
     v            islold,ielhlp)
      ipos=0
      call solve(ipos,matr,isol,irhsd,intmat,kprob)
      layout=3
      number=0
      call prinrv(isol,kmesh,kprob,layout,number,'solution')
!
!   *  plot contour lines at level -0.25, -0.20, -0.15, . . . , 0.25
!
      do 200 i=1,11
200      contln(i+5)=-.25+(i-1)*0.05
!
      number=1
      ncntln=11
      plotfm=20
      yfact=1
      jsmoot=0
      call plotc1(number,kmesh,kprob,isol,contln,ncntln,plotfm,yfact,
     v            jsmoot)
!
!   *  plot real part
!
      number=2
      call plotc1(number,kmesh,kprob,isol,contln,ncntln,plotfm,yfact,
     v            jsmoot)
!
!   *  plot imaginary part
!
      istop=0
      call finish(istop)
      end
