      program nonlindif
c *******************************************************************
c
c    Main program for  2d nonlinear diffusion problem in space and time
c    See Manual Examples Section 2.1
c    This program is necessary because the initial condition depends on space
c
c *******************************************************************
      call startsepcomp
      end

c *******************************************************************
c
c    function func for the initial condition
c    c = 1 if x < 1/2
c    c = 0 if x >= 1/2
c
c *******************************************************************
      function func ( ichoice, x, y, z )
      implicit none
      double precision func, x, y, z
      integer ichoice
      double precision Half

      Half = 0.5d0

      if ( x.lt.Half ) then
        func = 1d0
      else
        func = 0d0
      end if

      end
