      subroutine cont3c ( kmeshlc, kproblc, isol, iplots, rplots )
      use sepmodulemain
      use sepmodulekmesh
      implicit none
      integer :: iplots(*)
      integer, target :: kmeshlc, kproblc, isol
      double precision rplots(*)
      integer lnplot
      parameter (lnplot=22)
      integer ncoorc(1), ilplot(lnplot), i
      double precision coorcn(1), rlplot(6), contln(1)
      character *1 text(1)
      integer, allocatable :: input(:)
      double precision :: timebefore(2)
      call eropen ( 'cont3c' )
      if ( itime>0 ) call ersettime ( timebefore )
      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)

      kprob2d(1) = kproblc
      kprob => kprob2d(1)

      isolut => isol

!     --- Clear array ilplot

      ilplot = 0

!     --- Fill with values from IPLOTS

      ilplot(2)  = 2
      ilplot(3)  = iplots(1)
      ilplot(4)  = -1001-abs(iplots(4)-iplots(3))
      ilplot(5)  = 2
      ilplot(6)  = iplots(2) + 10
      ilplot(10) = iplots(5)
      ilplot(11) = 1
      ilplot(12) = 2
      ilplot(14) = 1
      ilplot(22) = 1
      length = 7
      if ( iplots(6)>0 ) then
         length = length + nelgrp
         ilplot(13) = 8
      end if

!     --- Fill array rlplot

      rlplot(1) = rplots(1)
      rlplot(2) = rplots(2)
      rlplot(3) = 1d0
      rlplot(4) = rplots(3)
      rlplot(5) = rplots(4)
      rlplot(6) = rplots(5)

!     --- Reserve space for array input

      allocate ( input(length), stat = error )
      if ( error/=0 ) call eralloc ( error, length, 'input' )
      if ( ierror/=0 ) go to 1000

!     --- Fill array input

      input = 0
      input(1) = length
      input(6) = iplots(3)
      input(7) = iplots(4)
      if ( iplots(6)>0 ) then
         do i = 1, nelgrp
            input(7+i) = iplots(6+i)
         end do
      end if

      text(1) = ' '
      call plcn00 ( ilplot, rlplot, contln, input, text, ncoorc, coorcn )

      deallocate ( input, stat = error )
      if ( error/=0 ) call erdealloc ( error, 'input' )

1000  call erclmn ( 'cont3c', timebefore )

      end subroutine cont3c
